Bug 1242973 - Allow extra env files when running package update
Summary: Allow extra env files when running package update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Jan Provaznik
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-14 13:44 UTC by Jan Provaznik
Modified: 2015-08-05 13:59 UTC (History)
8 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-36.el7ost openstack-tripleo-common-0.0.1.dev6-1.git49b57eb.el7ost
Doc Type: Enhancement
Doc Text:
The director now provides parameters to accept extra Heat environment files when updating packages on Overcloud nodes. Overcloud isolated networks require extra environment files upon creation and subsequent updates. Without the extra environment files, users cannot use "openstack overcloud update stack" on an Overcloud using isolated network. User now use the "-e" parameter with the "openstack overcloud update stack" command to update packages on Overcloud nodes using isolated networks.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:59:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 239840 None None None Never
OpenStack gerrit 201547 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Jan Provaznik 2015-07-14 13:44:53 UTC
Description of problem:
"openstack overcloud update stack" which updates packages on overcloud nodes currently doesn't support passing heat extra environment files. Because network isolation config is passed in these extra env files to "openstack overcloud deploy" and have to be passed on any stack-update operation too, we need to support it in stack update too.

Implemented in these patches:
https://review.gerrithub.io/#/c/239840/
https://review.openstack.org/#/c/201547/

Comment 4 Ola Pavlenko 2015-07-22 20:36:40 UTC
rhos-release-0.65-1.noarch
python-rdomanager-oscplugin-0.0.8-41.el7ost.noarch
openstack-tripleo-common-0.0.1.dev6-1.git49b57eb.el7ost.noarch

Comment 6 errata-xmlrpc 2015-08-05 13:59:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.